astroid==2.15.8 ; python_version >= "3.10" and python_version < "4.0"
asttokens==2.4.1 ; python_version >= "3.10" and python_version < "4.0"
cfgv==3.4.0 ; python_version >= "3.10" and python_version < "4.0"
colorama==0.4.6 ; python_version >= "3.10" and python_version < "4.0" and (sys_platform == "win32" or platform_system == "Windows")
coverage==5.5 ; python_version >= "3.10" and python_version < "4"
coverage[toml]==5.5 ; python_version >= "3.10" and python_version < "4"
dill==0.3.9 ; python_version >= "3.10" and python_version < "4.0"
distlib==0.3.9 ; python_version >= "3.10" and python_version < "4.0"
exceptiongroup==1.2.2 ; python_version >= "3.10" and python_version < "3.11"
executing==2.1.0 ; python_version >= "3.10" and python_version < "4.0"
identify==2.6.1 ; python_version >= "3.10" and python_version < "4.0"
iniconfig==2.0.0 ; python_version >= "3.10" and python_version < "4.0"
ipython==8.28.0 ; python_version >= "3.10" and python_version < "4.0"
isort==5.13.2 ; python_version >= "3.10" and python_version < "4.0"
jedi==0.19.1 ; python_version >= "3.10" and python_version < "4.0"
lazy-object-proxy==1.10.0 ; python_version >= "3.10" and python_version < "4.0"
matplotlib-inline==0.1.7 ; python_version >= "3.10" and python_version < "4.0"
mccabe==0.7.0 ; python_version >= "3.10" and python_version < "4.0"
mypy-extensions==0.4.4 ; python_version >= "3.10" and python_version < "4.0"
mypy==0.910 ; python_version >= "3.10" and python_version < "4.0"
nodeenv==1.9.1 ; python_version >= "3.10" and python_version < "4.0"
parso==0.8.4 ; python_version >= "3.10" and python_version < "4.0"
pexpect==4.9.0 ; python_version >= "3.10" and python_version < "4.0" and (sys_platform != "win32" and sys_platform != "emscripten")
pluggy==1.5.0 ; python_version >= "3.10" and python_version < "4.0"
pre-commit==2.21.0 ; python_version >= "3.10" and python_version < "4.0"
prompt-toolkit==3.0.48 ; python_version >= "3.10" and python_version < "4.0"
ptyprocess==0.7.0 ; python_version >= "3.10" and python_version < "4.0" and (sys_platform != "win32" and sys_platform != "emscripten")
pure-eval==0.2.3 ; python_version >= "3.10" and python_version < "4.0"
pycodestyle==2.12.1 ; python_version >= "3.10" and python_version < "4.0"
pydocstyle==5.1.1 ; python_version >= "3.10" and python_version < "4.0"
pygments==2.18.0 ; python_version >= "3.10" and python_version < "4.0"
pylint==2.17.7 ; python_version >= "3.10" and python_version < "4.0"
pytest-cov==2.12.1 ; python_version >= "3.10" and python_version < "4.0"
pytest-mock==3.14.0 ; python_version >= "3.10" and python_version < "4.0"
pytest==8.3.3 ; python_version >= "3.10" and python_version < "4.0"
snowballstemmer==2.2.0 ; python_version >= "3.10" and python_version < "4.0"
stack-data==0.6.3 ; python_version >= "3.10" and python_version < "4.0"
toml==0.10.2 ; python_version >= "3.10" and python_version < "4.0"
tomli==2.0.2 ; python_version >= "3.10" and python_version < "3.11"
tomlkit==0.13.2 ; python_version >= "3.10" and python_version < "4.0"
traitlets==5.14.3 ; python_version >= "3.10" and python_version < "4.0"
virtualenv==20.27.0 ; python_version >= "3.10" and python_version < "4.0"
wcwidth==0.2.13 ; python_version >= "3.10" and python_version < "4.0"
wrapt==1.16.0 ; python_version >= "3.10" and python_version < "4.0"
